@using System.Web.Mvc.Html
@model Auction.ViewModels.Auction.CreateSubCategoryViewModel

@{
    ViewBag.Title = "Create sub category";
    SelectList listOfCategories = ViewBag.Categories as SelectList;
}

<h2>Create category</h2>
@using (Html.BeginForm("Create", "SubCategory", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true);
    <div>
        @Html.LabelFor(x=>x.CategoryId)
        @Html.DropDownListFor(x=>x.CategoryId, new SelectList(listOfCategories, "Value", "Text"))
        @Html.ValidationMessageFor(x=>x.CategoryId)
    </div>
    <div>
        @Html.LabelFor(x=>x.Name)
        @Html.TextBoxFor(x=>x.Name, new{id = "checkName"})
        @Html.ValidationMessageFor(x=>x.Name)
    </div>
    <div>
        @Html.LabelFor(x => x.Description)
        @Html.TextAreaFor(x=>x.Description, new {@class = "text-area-edit"})
        @Html.ValidationMessageFor(x => x.Description)
    </div>
    <div>
        @Html.LabelFor(x => x.ShortDescription)
        @Html.TextAreaFor(x => x.ShortDescription, new { @class = "text-area-edit" })
        @Html.ValidationMessageFor(x => x.ShortDescription)
    </div>
    <div>
        @Html.LabelFor(x=>x.File)
        <input type="file" accept="image/*" name="file" value="Choose image"/>
    </div>
    <input type="submit" value="Create"/>
}
<script>
    const checkSubCategoryName = () =>{
            let temp = $("#checkName").value;
            if (temp.length()===0){
                
            }
            else {
                
            }
        }
</script>
